POST api/departmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "11174103-a6f2-4a51-8cda-59ff5c33c793",
"selected_nameplate_id": "e29ca761-dfb8-4ab6-9171-7178f1e2d89f",
"active": true,
"department_id": "6e6a7afa-73c8-4752-ae6a-97b82d12d26e",
"id": "8c9738ff-bcc6-472f-9210-576bf50bd60b",
"physical_item_id": "af6a93dc-40c4-45e6-bd8f-13e4ce599817",
"service_item_id": "430e688d-0908-423f-b172-e34a6940895d",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>6e6a7afa-73c8-4752-ae6a-97b82d12d26e</department_id>
<id>8c9738ff-bcc6-472f-9210-576bf50bd60b</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>af6a93dc-40c4-45e6-bd8f-13e4ce599817</physical_item_id>
<quantity>1</quantity>
<service_item_id>430e688d-0908-423f-b172-e34a6940895d</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>e29ca761-dfb8-4ab6-9171-7178f1e2d89f</selected_nameplate_id>
<selected_sticker_id>11174103-a6f2-4a51-8cda-59ff5c33c793</selected_sticker_id>
</department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"991eb278-6526-421a-915e-7690507ce81f"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">991eb278-6526-421a-915e-7690507ce81f</guid>